Back to the main site

Vulkan is not installed or not supported by your system

I have followed the procedures on the guide: How-to:-DXVK up until the section: Tutorial on how to add D9VK: I cannot seem to figure this out since my computer does not have those same folders and file paths. The video is not the most helpful.

The lutris configure tab for battle.net under runner options shows: esync-staging-pba-3.16-x86_64

with enable DXVK on version 1.5.2
enable D9VK off
enable esync on

here is the read out from the vulkaninfo command:
$ vulkaninfo

VULKAN INFO

Vulkan Instance Version: 1.1.70

ERROR: [Loader Message] Code 0 : /usr/lib/i386-linux-gnu/libvulkan_radeon.so: wrong ELF class: ELFCLASS32
ERROR: [Loader Message] Code 0 : /usr/lib/i386-linux-gnu/libvulkan_intel.so: wrong ELF class: ELFCLASS32
/build/vulkan-UL09PJ/vulkan-1.1.70+dfsg1/demos/vulkaninfo.c:2700: failed with VK_ERROR_INITIALIZATION_FAILED

To describe the issue:

Battle.net is fully installed but indicates the error message: Vulkan is not installed or is not supported by your system

my hardware is supported: r9 390x, ryzen 5 3600 cpu

I forgot to mention that I see the error message: Vulkan is not installed or is not supported by your system

when I press launch.

I got things to work, however now the framerate in wow is 2fps